<app-form-control-wrap [for]="id" *ngIf="field?.visible !== false" [field]="field">
  <div class="input-addon">
    <input [id]="id || field?.fieldKey" [value]="field?.value || ''" [placeholder]="field?.placeholder"
      [type]="field?.controlType || 'text'" [maxLength]="maxLength" [minLength]="minLength" (blur)="onBlur($event)"
      (input)="onInput($event)" class="form-control" [autocomplete]="field?.autoComplete || 'off'" />
  </div>

  <app-field-error [field]="field"></app-field-error>
</app-form-control-wrap>
